> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metric aggregations for multiple projects

> Use this endpoint to retrieve metric aggregations for multiple projects.

You can get all aggregations for all projects by omitting `project_ids` and `metric_ids` parameters. Fetching all projects or metrics you can omit the parameter or using parameter value `all`.

This endpoint supports partial success - if some of the requested project or metric IDs are not found, the endpoint will return data for the valid entities and include an `errors` array with details about the invalid ones.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/metric-aggregations
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/metric-aggregations:
    get:
      tags:
        - Metrics
      summary: Get metric aggregations for multiple projects
      description: >
        Use this endpoint to retrieve metric aggregations for multiple projects.


        You can get all aggregations for all projects by omitting `project_ids`
        and `metric_ids` parameters. Fetching all projects or metrics you can
        omit the parameter or using parameter value `all`.


        This endpoint supports partial success - if some of the requested
        project or metric IDs are not found, the endpoint will return data for
        the valid entities and include an `errors` array with details about the
        invalid ones.
      parameters:
        - name: project_ids
          in: query
          description: >
            Allows you to select one or more of the projects available for a
            specific metric. When including multiple projects, separate each one
            with a comma. Example: `aave,uniswap`.


            You can fetch all available projects by omitting this parameter or
            using value `all`.
          required: true
          explode: false
          schema:
            type: array
            items:
              type: string
        - name: metric_ids
          in: query
          description: >
            Allows you to fetch all aggregations for the given comma separated
            list of metrics available. The full list is available on the metrics
            endpoint (see above).


            You can fetch all available metrics by omitting this parameter or
            using value `all`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        project_name:
                          type: string
                          description: >-
                            Returns the project name used on the web
                            application.
                        project_id:
                          type: string
                          description: Returns the project ID used on the web application.
                        metric_id:
                          type: string
                          description: Returns the chosen metric for the project(s).
                        metric_aggregation_name:
                          type: string
                          description: >-
                            Returns the chosen metric metric aggregation for the
                            project(s).
                        value:
                          type: string
                          description: Returns the value of the chosen metric aggregation.
                  errors:
                    type: array
                    description: >
                      Optional array of errors that occurred during request
                      processing. Only present if some requested entities were
                      not found.


                      The endpoint returns data for valid entities even when
                      errors are present, allowing partial success.
                    items:
                      type: object
                      required:
                        - code
                        - field
                        - value
                      properties:
                        code:
                          type: string
                          enum:
                            - NOT_FOUND
                          description: Error code indicating the entity was not found
                        field:
                          type: string
                          enum:
                            - project_ids
                            - metric_ids
                            - chain_ids
                            - product_ids
                            - market_sector_ids
                          description: >-
                            The request parameter field that contained the
                            invalid value
                        value:
                          type: string
                          description: The invalid ID value that was not found
                      example:
                        code: NOT_FOUND
                        field: project_ids
                        value: invalid-project
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````